Subject: RFC 4698 errata

From: Alfred Hönes <[email-masked]>
Date: Tue, 7 Nov 2006 19:54:52 +0100 (MEZ)

Hello,
reading the recently published RFC 4698 (IRIS Addr Registry Type)
authored by you, I found a few textual flaws.

(1)  multiple typos

Within Section 4, the last two bullets on page 14 of RFC 4698,

   o  Most specific: Given a set of networks, the network or networks
|     that are more specific than zero or more specific of the other
|     networks in the set, and that are not less specific of any of the
      networks in the set.

   o  Least specific: Given a set of networks, the network or networks
|     that are not more specific to any of the other networks in the
      set.

should perhaps better say:

   o  Most specific: Given a set of networks, the network or networks
|     that are more specific than zero or more of the other networks in
|     the set, and that are not less specific than any of the networks
      in the set.

   o  Least specific: Given a set of networks, the network or networks
|     that are not more specific than any of the other networks in the
      set.

(2)  distorting typo

On page 16, the text for example (2) in Section 4 says:

   (2) one-level less specifics search: Given a range, find only the
       most specific network that contains that range (could be multiple
       networks, but usually single).  This is the set of networks from
       (1), with the provision that no network in the return set is
       contained by any other network in the set.  If there are exact
|      match networks in the set from (1), they both must appear in the
       result set.  The result set may contain a network that is exact
       match to the query range, if the search allows exact matches.

It should say:

   (2) one-level less specifics search: Given a range, find only the
       most specific network that contains that range (could be multiple
       networks, but usually single).  This is the set of networks from
       (1), with the provision that no network in the return set is
       contained by any other network in the set.  If there are exact
|      match networks in the set from (1), they all must appear in the
       result set.  The result set may contain a network that is exact
       match to the query range, if the search allows exact matches.

(3)  typo (missing article)

On page 31 of RFC 4698, Section 7.2 says:

   Address registries do not have natural links to DNS.  Using reverse
   DNS tree presents problems for IP address delegation (for example,
   delegations do not fall into byte boundaries, unlike reverse DNS),
   and DNS does not currently contain any information regarding
   autonomous system delegation.

It should better say:
                                                              vvvv
|  Address registries do not have natural links to DNS.  Using the
   reverse DNS tree presents problems for IP address delegation (for
   example, delegations do not fall into byte boundaries, unlike
   reverse DNS), and DNS does not currently contain any information
   regarding autonomous system delegation.

I leave it to your decision which of the items above should be
addressed by an RFC Errata Note.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+